### Method

# Gegl TileHandlerget_tile

#### Declaration [src]

    GeglTile*
    gegl_tile_handler_get_tile (
      GeglTileHandler* handler,
      gint x,
      gint y,
      gint z,
      gboolean preserve_data
    )

#### Description [src]

Fetches the tile at the given coordinates from `handler`. If the tile doesn’t exist, creates a new tile associated with this tile handler.

If `preserve_data` is FALSE, the tile contents are unspecified.

This method is not directly available to language bindings.

#### Parameters

`x`

  Type: `gint`

  The tile space x coordinate for the tile.

`y`

  Type: `gint`

  The tile space y coordinate for the tile.

`z`

  Type: `gint`

  The tile space z coordinate for the tile.

`preserve_data`

  Type: `gboolean`

  Whether existing tile data should be preserved.

#### Return value

Type: `GeglTile`

The tile.

The returned data is owned by the instance.